#pragma once

#include "shapeex.h"

class SHPSET_API CHotShape :	public CShapeEx
{
public:
	CHotShape(void);
	virtual ~CHotShape(void);

	virtual BOOL Serialize(HANDLE device, BOOL bIn ) ;

	virtual void Show(CDelegate* pDelegate, int mode, BOOL bForced);	
	virtual CUCObj* Clone(  CUCObj *twin);

//	virtual void Beat();
//	virtual void Activate() ;
//	virtual void Deactivate() ;
 
private:
	 //ÎÞÐè±£´æ
	int m_nStartPos;
	DWORD m_nStartTime; 

};

